#!/devtool/local/bin/perl
# @(#) ixref   6.2.8   1997-10-20   kern   Holger
#
# call of $TOOL/pgm/xref <modul>
#


use Env;
use Getopt::Std;

if ( !getopts('l') or (@ARGV == 0) ) {
	print "Usage: ixref [-l]  <modul>\n";
	exit 11;
}
$LOCAL = "-l" if defined($opt_l);

do "$TOOLVARS";
if ( $@ ) { die "Error while executing toolvars$TOOLEXT: $@" }

$BASEDIR = "$OWN/tmp";
$RESDIR  = "$WRK/fast/prot";

chdir ($BASEDIR);

system ("xref", @ARGV, $LOCAL,  " >$NULL");

unlink ("$RESDIR/xref.error"); rename ("xref.error", "$RESDIR/xref.error");
unlink ("$RESDIR/xref.vdn"); rename ("xref.vdn", "$RESDIR/xref.vdn");

print "copied xref.vdn and xref.error to $RESDIR";
